<!DOCTYPE html>
<html>
<script async src="./libraries/jquery-3.4.1.js"></script>
<script async src="./javascript/game.js"></script>
<script async src="./javascript/statistics.js"></script>
<head>
    <meta charset="utf-8">
    <title>Rock Paper Scissors Game</title>
    <link rel="stylesheet" href="styles/styles.css" />
</head>
<body>
    <header>
        <h1>Rock Paper Scissors</h1>
    </header>
    <div id="game">
        <div class="play">
            <div class="playbutton">
                <img src="images/play.png" data-toggle="tooltip" title="Play Round!" onclick="playRound();">
            </div>
            <div class="playbutton">
                <img src="images/restart.png" data-toggle="tooltip" title="Restart game" onclick="resetRounds();">
            </div>
            <div class="playbutton">
                <img src="images/stats.png" data-toggle="tooltip" title="Game statistics" onclick="showStatistics();">
            </div>
        </div>
        <div class="rounds">
            <p>Rounds Played:</p>
            <p id="roundsPlayed">0</p>
        </div>
        <div class="result">
            <table id="resultTable">
                <caption>Game results</caption>
                <thead>
                    <tr> <th>Round</th> <th>Player 1</th> <th>Player 2</th><th>Result</th></tr>
                </thead>
                <tbody id="tableBody">
                </tbody>
            </table>
        </div>
    </div>

    <div id="stats" class="stats">
        <div class="back">
            <div class="backbutton">
                <img src="images/back.png" data-toggle="tooltip" title="Back to game" onclick="backToGame();">
            </div>
        </div>
        <div class="gameStatistics">
            <table>
                <caption>Game Statistics</caption>
                <tbody>
                <tr> <td>Total rounds played:</td><td id="totalRoundsPlayed">0</td></tr>
                <tr> <td>Total wins for first players:</td><td id="totalPlayer1Wins">0</td></tr>
                <tr> <td>Total wins for second players:</td><td id="totalPlayer2Wins">0</td></tr>
                <tr> <td>Total draws:</td><td id="totalDraws">0</td></tr>
                </tbody>
            </table>
        </div>
    </div>
</body>
</html>